Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QAbstractFileEngine.FileFlag

    java.lang.Object
      java.lang.Enum<QAbstractFileEngine.FileFlag>
          com.trolltech.qt.core.QAbstractFileEngine.FileFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractFileEngine.FileFlag>

Enclosing class:
  QAbstractFileEngine

    public static enum QAbstractFileEngine.FileFlag

extends java.lang.Enum<QAbstractFileEngine.FileFlag>
implements QtEnumerator

The permissions and types of a file, suitable for OR'ing together.

See Also:
  `fileFlags`, `setFileName`

Enum Constant Summary
`BundleType` The file is a Mac OS X bundle implies `DirectoryType`
`DirectoryType` The file is a directory in the file system (i.e. not a link or file).
`ExeGroupPerm` Members of the current user's group have permission to execute the file.
`ExeOtherPerm` All users have permission to execute the file.
`ExeOwnerPerm` The owner of the file has permission to execute it.
`ExeUserPerm` The current user has permission to execute the file.
`ExistsFlag` The file actually exists in the file system.
`FileInfoAll` Internal.
`FileType` The file is a regular file to the file system (i.e. not a link or directory)
`FlagsMask` Internal.
`HiddenFlag` The file is hidden.
`LinkType` The file is a link to another file (or link) in the file system (i.e. not a file or directory).
`LocalDiskFlag` The file resides on the local disk and can be passed to standard file functions.
`PermsMask` Internal.
`ReadGroupPerm` Members of the current user's group have permission to read the file.
`ReadOtherPerm` All users have permission to read the file.
`ReadOwnerPerm` The owner of the file has permission to read it.
`ReadUserPerm` The current user has permission to read the file.
`Refresh` Passing this flag will force the file engine to refresh all flags.
`RootFlag` The file or the file pointed to is the root of the filesystem.
`TypesMask` Internal.
`WriteGroupPerm` Members of the current user's group have permission to write to the file.
`WriteOtherPerm` All users have permission to write to the file.
`WriteOwnerPerm` The owner of the file has permission to write to it.
`WriteUserPerm` The current user has permission to write to the file.

Method Summary
`static QAbstractFileEngine.FileFlags` | `createQFlags(QAbstractFileEngine.FileFlag... values)`
`static QAbstractFileEngine.FileFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractFileEngine.FileFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractFileEngine.FileFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ReadOwnerPerm

    public static final QAbstractFileEngine.FileFlag ReadOwnerPerm

  The owner of the file has permission to read it.

### WriteOwnerPerm

    public static final QAbstractFileEngine.FileFlag WriteOwnerPerm

  The owner of the file has permission to write to it.

### ExeOwnerPerm

    public static final QAbstractFileEngine.FileFlag ExeOwnerPerm

  The owner of the file has permission to execute it.

### ReadUserPerm

    public static final QAbstractFileEngine.FileFlag ReadUserPerm

  The current user has permission to read the file.

### WriteUserPerm

    public static final QAbstractFileEngine.FileFlag WriteUserPerm

  The current user has permission to write to the file.

### ExeUserPerm

    public static final QAbstractFileEngine.FileFlag ExeUserPerm

  The current user has permission to execute the file.

### ReadGroupPerm

    public static final QAbstractFileEngine.FileFlag ReadGroupPerm

  Members of the current user's group have permission to read the file.

### WriteGroupPerm

    public static final QAbstractFileEngine.FileFlag WriteGroupPerm

  Members of the current user's group have permission to write to the file.

### ExeGroupPerm

    public static final QAbstractFileEngine.FileFlag ExeGroupPerm

  Members of the current user's group have permission to execute the file.

### ReadOtherPerm

    public static final QAbstractFileEngine.FileFlag ReadOtherPerm

  All users have permission to read the file.

### WriteOtherPerm

    public static final QAbstractFileEngine.FileFlag WriteOtherPerm

  All users have permission to write to the file.

### ExeOtherPerm

    public static final QAbstractFileEngine.FileFlag ExeOtherPerm

  All users have permission to execute the file.

### LinkType

    public static final QAbstractFileEngine.FileFlag LinkType

  The file is a link to another file (or link) in the file system (i.e. not a file or directory).

### FileType

    public static final QAbstractFileEngine.FileFlag FileType

  The file is a regular file to the file system (i.e. not a link or directory)

### DirectoryType

    public static final QAbstractFileEngine.FileFlag DirectoryType

  The file is a directory in the file system (i.e. not a link or file).

### BundleType

    public static final QAbstractFileEngine.FileFlag BundleType

  The file is a Mac OS X bundle implies `DirectoryType`

### HiddenFlag

    public static final QAbstractFileEngine.FileFlag HiddenFlag

  The file is hidden.

### LocalDiskFlag

    public static final QAbstractFileEngine.FileFlag LocalDiskFlag

  The file resides on the local disk and can be passed to standard file functions.

### ExistsFlag

    public static final QAbstractFileEngine.FileFlag ExistsFlag

  The file actually exists in the file system.

### RootFlag

    public static final QAbstractFileEngine.FileFlag RootFlag

  The file or the file pointed to is the root of the filesystem.

### Refresh

    public static final QAbstractFileEngine.FileFlag Refresh

  Passing this flag will force the file engine to refresh all flags.

### PermsMask

    public static final QAbstractFileEngine.FileFlag PermsMask

  Internal.

### TypesMask

    public static final QAbstractFileEngine.FileFlag TypesMask

  Internal.

### FlagsMask

    public static final QAbstractFileEngine.FileFlag FlagsMask

  Internal.

### FileInfoAll

    public static final QAbstractFileEngine.FileFlag FileInfoAll

  Internal.

Method Detail

### values

    public static final QAbstractFileEngine.FileFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractFileEngine.FileFlag c : QAbstractFileEngine.FileFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractFileEngine.FileFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAbstractFileEngine.FileFlags createQFlags(QAbstractFileEngine.FileFlag... values)

### resolve

    public static QAbstractFileEngine.FileFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD